
QGIS Application - Bug report #15977

Crash when saving new rows in MSSQL layer with a join

2016-12-12 07:52 PM - Martin Bain

Status: Closed

Priority: High

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:2.18.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 23893

Description

When editing an MSSQL layer which has a join defined I can edit and delete existing records but if I add one or more new records I get a

minidump as soon as I attempt to save the edits.

If I remove the join I can save new records without error.

The format of the joined layer does not seem to matter. I still get a crash whether the joined layer is a table or view in SQL Server or a CSV

file.

Using SQL Server 2008 R2 and QGIS 2.18.1

History

#1 - 2016-12-12 07:56 PM - Martin Bain

Meant to say the same joins work fine with a Spatialite layer

#2 - 2016-12-12 09:29 PM - Martin Bain

Just noticed a commit from 2 days ago: "Fix an array out of bounds access when committing data (#3807)" which may solve this issue.  Will test and

update

#3 - 2016-12-14 01:34 PM - Martin Bain

Tested with 2.19.0-2 and the problem still exists.  However I notice the version of mssqlprovider.dll installed in qgis-dev is older (23/10/2016) than the one

in 2.18 (26/11/2016).  Maybe the nightly build doesn't include the commit from above.

#4 - 2016-12-15 12:05 AM - Jürgen Fischer

Martin Bain wrote:

Tested with 2.19.0-2 and the problem still exists.  However I notice the version of mssqlprovider.dll installed in qgis-dev is older (23/10/2016) than

the one in 2.18 (26/11/2016).  Maybe the nightly build doesn't include the commit from above.

There are currently no nightlies of master for windows.  The last qgis-dev build are from the late master_2 branch.
#5 - 2017-02-04 02:50 AM - Giovanni Manghi

- Priority changed from Normal to High

#6 - 2017-03-06 04:40 PM - Giovanni Manghi

- Category set to Data Provider/MSSQL

- Status changed from Open to Feedback

There are currently no nightlies of master for windows.  The last qgis-dev build are from the late master_2 branch.

there are now.

#7 - 2017-04-29 11:30 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

I confirm the issue on 2.18.7 but is fixed on master.
